unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Buttons;

type
  TForm1 = class(TForm)
    Label1: TLabel;
    Edit1: TEdit;
    Edit2: TEdit;
    Edit3: TEdit;
    Edit4: TEdit;
    Edit5: TEdit;
    Edit6: TEdit;
    Edit7: TEdit;
    Edit8: TEdit;
    Edit9: TEdit;
    Edit10: TEdit;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    Label8: TLabel;
    Label9: TLabel;
    Label10: TLabel;
    Label11: TLabel;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    procedure BitBtn1Click(Sender: TObject);
    procedure BitBtn2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
   s:longint;
implementation
      const
   v1='десятичные знаки';
   v2='десятичная дробь';
   v3='левее';
   v4='на один знак влево';
   v5='мода этих чисел';
   v6='на три знака влево';
   v7='на один знак вправо';
   v8='на два знака вправо';
   v9='среднее арифметическое';
   v10='размах';
{$R *.dfm}

procedure TForm1.BitBtn1Click(Sender: TObject);
begin
  close 
end;

procedure TForm1.BitBtn2Click(Sender: TObject);
begin
     if Edit1.Text=v1 then s:=s+1;
       if Edit2.Text=v2  then s:=s+1;
       if Edit3.Text=v3 then s:=s+1;
       if Edit4.Text=v4 then s:=s+1;
       if Edit5.Text=v5 then s:=s+1;
       if Edit6.Text=v6 then s:=s+1;
       if Edit7.Text=v7 then s:=s+1;
       if Edit8.Text=v8 then s:=s+1;
       if Edit9.Text=v9 then s:=s+1;
       if Edit10.Text=v10 then s:=s+1;
     if s=10 then showmessage('МОЛОДЕЦ!!!!') else showmessage('Парвильных ответов '+IntToStr(s)+'  Оценка '+IntToStr(s div 2));

end;

end.
